package cn.ysk.cashier.exception;

import lombok.Getter;
import org.springframework.http.HttpStatus;

import static org.springframework.http.HttpStatus.BAD_REQUEST;
import static org.springframework.http.HttpStatus.OK;

/**
 * @author lyf
 */
@Getter
public class NewBadRequestException extends RuntimeException{
    private Integer status = OK.value();

    public NewBadRequestException(String msg){
        super(msg);
    }

    public NewBadRequestException(HttpStatus status, String msg){
        super(msg);
        this.status = status.value();
    }
}
